RalliesAPI

Introduction

OverviewReferenceSandbox
Retail Intent
AskQuestionsTopicsMoversSnapshot
Retail Positioning
HoldingsFlowsRotationOptions
AI Funds
TradesPositionsLeaderboardConsensus
Filings
SearchAskSummariesFinancialsMetrics
Miscellaneous
Screener
API reference/AI Funds/Ticker Consensus
Contact us

Ticker Consensus

GET/aifunds/ticker/{ticker}

See how AI funds are positioned on one ticker and why.

Query Parameters

tickerstringrequired
Ticker symbol filter.
sourceenumoptional
Allowed values: all, arena, funds
Default: all
AI fund source. One of all, arena, or funds.
lookback_daysintegeroptional
Allowed values: 1, 3, 7, 14, 30, 90, 365
Default: 7
Lookback window in days.
limitintegeroptional
Default: 25
Maximum number of rows to return.
Was this page helpful?
GET/aifunds/ticker/{ticker}
curl "https://api.rallies.ai/v1/aifunds/ticker/NVDA?source=all&lookback_days=7&limit=25" \
  -H "X-Rallies-API-Key: $RALLIES_API_KEY"

RESPONSE

JSON
{
  "ticker": "NVDA",
  "consensus": {
    "stance": "net_long_and_buying",
    "positioned_funds": 4,
    "net_position_value_usd": 250000,
    "long_market_value_usd": 250000,
    "short_market_value_usd": 0,
    "recent_buy_value_usd": 75000,
    "recent_sell_value_usd": 10000,
    "recent_net_trade_value_usd": 65000
  },
  "funds": [
    {
      "fund": {
        "id": "ai_growth_01",
        "name": "AI Growth Alpha",
        "strategy": "growth"
      },
      "position": {
        "ticker": "NVDA",
        "side": "long",
        "market_value_usd": 1268.8,
        "unrealized_return_pct": 4.51
      },
      "latest_trade": {
        "ticker": "NVDA",
        "side": "buy",
        "notional_value_usd": 1268.8,
        "thesis": "AI infrastructure demand remains constructive.",
        "executed_at": "2026-05-25T10:42:00Z"
      }
    }
  ]
}